package com.ejie.aa20b.service;

import java.util.List;

import com.ejie.aa20b.model.Fichatecnicosgmao;
import com.ejie.x38.dto.Pagination;

public interface FichatecnicosgmaoService {

	/**
	 * Inserts a single row in the Fichatecnicosgmao table.
	 * 
	 * @param fichatecnicos
	 *            Fichatecnicosgmao
	 * @return Fichatecnicosgmao
	 */
	Fichatecnicosgmao add(Fichatecnicosgmao fichatecnicos);

	/**
	 * Updates a single row in the Fichatecnicosgmao table.
	 * 
	 * @param fichatecnicos
	 *            Fichatecnicosgmao
	 * @return Fichatecnicosgmao
	 */
	Fichatecnicosgmao update(Fichatecnicosgmao fichatecnicos);

	/**
	 * Finds a single row in the Fichatecnicos table.
	 * 
	 * @param fichatecnicos
	 *            Fichatecnicosgmao
	 * @return Fichatecnicosgmao
	 */
	Fichatecnicosgmao find(Fichatecnicosgmao fichatecnicos);

	Fichatecnicosgmao findByGUID(Fichatecnicosgmao fichatecnicos);

	List<Fichatecnicosgmao> findAll(Fichatecnicosgmao fichatecnicosgmao,
			Pagination pagination);

	List<Fichatecnicosgmao> findAllnoAsignadosMovilGmao(
			Fichatecnicosgmao fichatecnicosgmao, Pagination pagination);

	void remove(Fichatecnicosgmao fichatecnicosgmao);

	void actualizarTiempoPausaFicha(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao marcarPausaAutoFicha(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao findFichaSinTecnico(Fichatecnicosgmao fichatecnicosgmao);

	Fichatecnicosgmao findByIdFicha(Fichatecnicosgmao fichatecnicosgmao);
}